Bug 879754 - xs-activity-server review request
xs-activity-server review request
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 879752
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2012-11-24 00:26 EST by zyu26
Modified: 2015-02-15 16:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 zyu26 2012-12-03 22:16:21 EST
I would appreciate that somebody can review this package which need a sponsor and release to Fedora.
Comment 3 shilpa gite 2014-12-03 06:54:56 EST
Hi,

I am doing an unofficial review.
Following are the review details:

Package Review
==============

===== MUST items =====

Generic:
[OK]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
	http://koji.fedoraproject.org/koji/taskinfo?taskID=8284404
[OK]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[N/A]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[OK ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. 
       Unknown or generated
	--------------------
	xs-activity-server-0.3.5.g3b1d13b/src/xs_activities/__init__.py
	xs-activity-server-0.3.5.g3b1d13b/xs-activity-server.setup.sh
[OK]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[OK]: Changelog in prescribed format.
[OK]: Sources contain only permissible code or content.
[N/A]: Package contains desktop file if it is a GUI application.
[N/A]: Package uses nothing in %doc for runtime.
[OK]: Package is named according to the Package Naming Guidelines.
[OK]: Package does not generate any conflict.
[OK]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[OK]: Requires correct, justified where necessary.
[OK]: Spec file is legible and written in American English.
[OK]: Package is not known to require an ExcludeArch tag.
[N/A]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[N/A]: Packages must not store files under /srv, /opt or /usr/local
     Note: Cannot unpack rpms (using --prebuilt?)
[ OK]: Package complies to the Packaging Guidelines
[OK]: Package installs properly.
[OK]: Rpmlint is run on all rpms the build produces.
          Rpmlint
	    -------
	   Checking: xs-activity-server-0.3.5.g3b1d13b-4.fc21.src.rpm
	   xs-activity-server.src: W: invalid-url Source0: xs-activity-server-0.3.5.g3b1d13b.tar.bz2
	  1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[OK]: Package requires other packages for directories it uses.
[OK]: Package must own all directories that it creates.
[OK]: Package does not own files or directories owned by other packages.
[OK]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[OK]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[OK]: Macros in Summary, %description expandable at SRPM build time.
[OK]: Package does not contain duplicates in %files.
[OK]: Permissions on files are set properly.
[OK]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[OK]: Package is named using only allowed ASCII characters.
[OK]: Package do not use a name that already exist
[OK]: Package is not relocatable.
[OK]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[OK]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[OK]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[BAD]: Reviewer should test that the package builds in mock.
[OK]: Package functions as described.
[OK]: Latest version is packaged.
[OK]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[OK]: Package should compile and build into binary rpms on all supported
     architectures.
[N/A ]: %check is present and all tests pass.
[OK]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[OK]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[OK]: Dist tag is present (not strictly required in GL).
[OK]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[OK]: Fully versioned dependency in subpackages if applicable.
[OK]: Uses parallel make %{?_smp_mflags} macro.
[OK]: SourceX is a working URL.
[OK]: Spec use %global instead of %define unless justified.

Note You need to log in before you can comment on or make changes to this bug.